UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Set a field value in a message referenced by an iterator

## Functions
LBMSDMExpDLL int | lbmsdm_iter_set_boolean (lbmsdm_iter_t *Iterator, uint8_t Value)
| Set a field value in the field referenced by an iterator. More...
LBMSDMExpDLL int | lbmsdm_iter_set_int8 (lbmsdm_iter_t *Iterator, int8_t Value)
LBMSDMExpDLL int | lbmsdm_iter_set_uint8 (lbmsdm_iter_t *Iterator, uint8_t Value)
LBMSDMExpDLL int | lbmsdm_iter_set_int16 (lbmsdm_iter_t *Iterator, int16_t Value)
LBMSDMExpDLL int | lbmsdm_iter_set_uint16 (lbmsdm_iter_t *Iterator, uint16_t Value)
LBMSDMExpDLL int | lbmsdm_iter_set_int32 (lbmsdm_iter_t *Iterator, int32_t Value)
LBMSDMExpDLL int | lbmsdm_iter_set_uint32 (lbmsdm_iter_t *Iterator, uint32_t Value)
LBMSDMExpDLL int | lbmsdm_iter_set_int64 (lbmsdm_iter_t *Iterator, int64_t Value)
LBMSDMExpDLL int | lbmsdm_iter_set_uint64 (lbmsdm_iter_t *Iterator, uint64_t Value)
LBMSDMExpDLL int | lbmsdm_iter_set_float (lbmsdm_iter_t *Iterator, float Value)
LBMSDMExpDLL int | lbmsdm_iter_set_double (lbmsdm_iter_t *Iterator, double Value)
LBMSDMExpDLL int | lbmsdm_iter_set_decimal (lbmsdm_iter_t *Iterator, const lbmsdm_decimal_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_set_timestamp (lbmsdm_iter_t *Iterator, const struct timeval *Value)
LBMSDMExpDLL int | lbmsdm_iter_set_message (lbmsdm_iter_t *Iterator, const lbmsdm_msg_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_set_string (lbmsdm_iter_t *Iterator, const char *Value)
LBMSDMExpDLL int | lbmsdm_iter_set_unicode (lbmsdm_iter_t *Iterator, const wchar_t *Value, size_t Length)
| Set a unicode field value in the field referenced by an iterator. More...
LBMSDMExpDLL int | lbmsdm_iter_set_blob (lbmsdm_iter_t *Iterator, const void *Value, size_t Length)
| Set a BLOB field value in the field referenced by an iterator. More...

## Detailed Description

The functions in this group allow the value of a field to be set, and the type of the field to be set to a scalar type, for a field referenced by an iterator.

## Function Documentation

LBMSDMExpDLL int lbmsdm_iter_set_blob | ( | lbmsdm_iter_t * | Iterator,
|  | const void * | Value,
|  | size_t | Length
| ) |  |

Set a BLOB field value in the field referenced by an iterator.

Parameters

  Iterator | The SDM iterator to use.
  Value | New value.
  Length | Length of Value in bytes.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_iter_set_boolean | ( | lbmsdm_iter_t * | Iterator,
|  | uint8_t | Value
| ) |  |

Set a field value in the field referenced by an iterator.

Parameters

  Iterator | The SDM iterator to use.
  Value | The new field value.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_iter_set_decimal | ( | lbmsdm_iter_t * | Iterator,
|  | const lbmsdm_decimal_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_double | ( | lbmsdm_iter_t * | Iterator,
|  | double | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_float | ( | lbmsdm_iter_t * | Iterator,
|  | float | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_int16 | ( | lbmsdm_iter_t * | Iterator,
|  | int16_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_int32 | ( | lbmsdm_iter_t * | Iterator,
|  | int32_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_int64 | ( | lbmsdm_iter_t * | Iterator,
|  | int64_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_int8 | ( | lbmsdm_iter_t * | Iterator,
|  | int8_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_message | ( | lbmsdm_iter_t * | Iterator,
|  | const lbmsdm_msg_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_string | ( | lbmsdm_iter_t * | Iterator,
|  | const char * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_timestamp | ( | lbmsdm_iter_t * | Iterator,
|  | const struct timeval * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_uint16 | ( | lbmsdm_iter_t * | Iterator,
|  | uint16_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_uint32 | ( | lbmsdm_iter_t * | Iterator,
|  | uint32_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_uint64 | ( | lbmsdm_iter_t * | Iterator,
|  | uint64_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_uint8 | ( | lbmsdm_iter_t * | Iterator,
|  | uint8_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_unicode | ( | lbmsdm_iter_t * | Iterator,
|  | const wchar_t * | Value,
|  | size_t | Length
| ) |  |

Set a unicode field value in the field referenced by an iterator.

Parameters

  Iterator | The SDM iterator to use.
  Value | New value.
  Length | Length of Value in `wchar_t`s.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.